Summary: Simple WHOIS Daemon for the whois directory service
Name: swhoisd
Version: 3.0.5
Release: 1
License: Distributable XFree86 (BSD-like; GNU compatible)
Group: Utilities/Network
Source: ftp://dan.drydog.com/%{name}-%{version}.tar.gz
URL: http://dan.drydog.com/swhoisd/
Distribution: Swhoisd Project http://www.dan.drydog.com/swhoisd/
Vendor: Dan E. Anderson http://www.dan.drydog.com/swhoisd/
Buildroot: /var/tmp/swhoisd-root
Prefix: /

%description
swhoisd is a simple whois daemon that provides a whois directory service.
It is much simpler to setup and administrator than the other whois
daemons available, such as RIPE whois or the original SRC whois.
This is because it uses a flat-text file over a complex database.
This whois server is recommended only for small databases
(preferably under 200 records and no more than 1000).

This daemon conforms to RFC 834 and uses TCP port 43 (service "whois").

Install this if you know what a whois daemon is and want to set one up.

%prep
%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS
./configure
cd ./src
make
cd ../doc
make in.swhoisd.txt
cd ../po
make
make es.mo

%install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
mkdir -p $RPM_BUILD_ROOT/usr/man/man8/
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/es/LC_MESSAGES
install -m644 -c src/swhoisd		$RPM_BUILD_ROOT/etc/init.d
install -m644 -c doc/swhoisd.conf.sample $RPM_BUILD_ROOT/etc/swhoisd.conf
install -m644 -c doc/swhoisd.header 	$RPM_BUILD_ROOT/etc/
install -m644 -c doc/swhoisd.footer 	$RPM_BUILD_ROOT/etc/
install -m644 -c doc/whois.xinetd	$RPM_BUILD_ROOT/etc/xinetd.d/whois
install -m644 -c doc/in.swhoisd.8	$RPM_BUILD_ROOT/usr/man/man8
install -m755 -c -s src/in.swhoisd	$RPM_BUILD_ROOT/usr/sbin/
install -m644 -c po/es.mo /usr/share/locale/es/LC_MESSAGES/swhoisd.mo

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README THANKS TODO doc/rfc1834.txt
%doc doc/swhoisd.conf.sample doc/whois.php po/swhoisd.pot
%config(noreplace) /etc/swhoisd.conf
%config(noreplace) /etc/swhoisd.header
%config(noreplace) /etc/swhoisd.footer
%config /etc/xinetd.d/whois
%attr(0755,root,root) /etc/init.d/swhoisd
/usr/sbin/in.swhoisd
/usr/man/man8/in.swhoisd.8.gz

%changelog 
* Sat Jan  3 2003 Dan Anderson <dan@drydog.com>
- 3.0.5: Remove duplicate AM_CONFIG_HEADER in configure.in
- Removed strlcpy.c from src/Makefile.am (not always needed now)
- Removed  strlcpy.c from src/Makefile.am (automake error)
- Made /etc/init.d/swhoisd script executible

* Tue Oct  9 2001 Dan Anderson <dan@drydog.com>
- 3.0.4: Add nr network record with net and as fields.
- Add "(noreplace)" to %config for /etc/swhoisd.* configurable files.

* Sat Jul 15 2001 Dan Anderson <dan@drydog.com>
- 3.0.3: Add SIGHUP to reopen log file (used during log rotation).

* Tue Jul 10 2001 Dan Anderson <dan@drydog.com>
- 3.0.2: Add <netinet/in.h> for systems that don't include it from netdb.h.

* Sat Jul  7 2001 Dan Anderson <dan@drydog.com>
- 3.0.1: Minor fix to /etc/init.d/swhoisd startup script.

* Mon Jul  2 2001 Dan Anderson <dan@drydog.com>
- Release 3.0: standalone capability, ident client (RFC 1431), logging
- Added automake and autoconfig
- Added Spanish (Espaol) message text file

* Sun Jun 24 2001 Dan Anderson <dan@drydog.com>
- Releast 2.0: Allow '#' comments to start in any column in swhoisd.conf
- Internationalisation.

* Sat Jun 23 2001 Dan Anderson <dan@drydog.com>
- Created package.
